Name: eruby
Version: 1.0.3
Release: alt1

Summary: An interpreter of embedded Ruby language
License: distributable
Group: Development/Ruby

Url: http://www.modruby.net
Source: http://www.modruby.net/archive/%name-%version.tar.gz

ExcludeArch: alpha

# Automatically added by buildreq on Mon Dec 16 2002
BuildRequires: libruby-devel ruby-stdlibs ruby

%description
eRuby interprets a Ruby code embedded text file. For example, eRuby
enables you to embed a Ruby code to a HTML file.

%description -l ru_RU.KOI8-R
eRuby  Ruby-,     (, HTML).

%description -l uk_UA.KOI8-U
eRuby դ Ruby-,     (, HTML).

Summary(ru_RU.KOI8-R):    Ruby
Summary(uk_UA.KOI8-U):  ϧ  Ruby

%package -n lib%name
Summary: Library for eRuby
Group: Development/Ruby
Requires: libruby >= 1.8-alt7
Provides: %name-libs = %version-%release

%description -n lib%name
This package contains a library for eRuby.

%package -n lib%name-devel
Summary: Development files for eRuby
Group: Development/Ruby
Requires: lib%name = %version-%release
Provides: %name-devel = %version-%release

%description -n lib%name-devel
This package contains the header files and libraries for an application
embedded eRuby.

%package -n lib%name-devel-static
Summary: Static development files for eRuby
Group: Development/Ruby
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains the static library for an application
embedded eRuby.

%prep
%setup -q -c

%build
pushd %name-%version
ruby -rvendor-specific configure.rb --enable-shared
make
popd

%install
%__mkdir_p %buildroot{%_bindir,%_libdir,%_datadir,%_includedir,%_man1dir}

# installing binaries ...
pushd %name-%version
make install DESTDIR=%buildroot 
popd

%post -n lib%name -p %post_ldconfig

%postun -n lib%name -p %postun_ldconfig

%files
%_bindir/*
%_man1dir/*
%doc %name-%version/README.*
%doc %name-%version/ChangeLog
%doc %name-%version/examples

%files -n lib%name
%_libdir/*.so.*
%ruby_archdir/*

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*

%files -n lib%name-devel-static
%_libdir/*.a

%changelog
* Tue Aug 05 2003 Alexander Bokovoy <ab@altlinux.ru> 1.0.3-alt1
- 1.0.3
- Rebuild with Ruby 1.8

* Mon Dec 16 2002 Michael Shigorin <mike@altlinux.ru> 1.0.0-alt1
- built for ALT Linux
- proper libification (was eruby{,-libs,-devel})
- based on RH spec for 0.9.8-1; credits:
  Akira TAGOH <tagoh@redhat.com>
  Yukihiro Nakai <ynakai@redhat.com>
  akira yamada <akira@redhat.com>

